# $Revision: 1.41.2.5 $, $Date: 2011/10/21 11:11:25 $
Summary:	GNOME Devtool Libraries
Summary(pl.UTF-8):	Biblioteki GNOME Devtool
Name:		gdl
Version:	2.30.1
Release:	5
License:	GPL v2+
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gdl/2.30/%{name}-%{version}.tar.bz2
# Source0-md5:	4af16be490b47ce4e828a2fb93633856
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel >= 2:2.16.0
BuildRequires:	gtk-doc >= 1.4
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 1:2.6.26
BuildRequires:	pkgconfig
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains components and libraries that are intended to be
shared between GNOME development tools, including gnome-debug,
gnome-build, and anjuta2. The current pieces of GDL include: a symbol
browser bonobo component (symbol-browser-control), a docking widget
(gdl), a utility library that also contains the stubs and skels for
the symbol browser and text editor components (gdl, idl).

%description -l pl.UTF-8
Ten pakiet zawiera komponenty i biblioteki zaprojektowane jako wspólne
dla różnych narzędzi programistycznych GNOME, takich jak: gnome-debug,
gnome-build i anjuta2. Aktualnie GDL zawiera: przeglądarkę symboli
jako komponent bonobo (symbol-browser-control), dokowany element
interfejsu graficznego (gdl), bibliotekę narzędzi zawierającą także
szkielety dla przeglądarki symboli i komponentów edytora tekstu (gdl,
idl).

%package devel
Summary:	Header files for gdl development
Summary(pl.UTF-8):	Pliki nagłówkowe do biblioteki gdl
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gtk+2-devel >= 2:2.16.0
Requires:	libxml2-devel >= 1:2.6.26

%description devel
This package contains the header files needed to develop programs that
use these gdl.

%description devel -l pl.UTF-8
Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających bibliotek gdl.

%package static
Summary:	Static libraries for gdl development
Summary(pl.UTF-8):	Statyczne biblioteki gdl
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This package contains the static gdl libraries.

%description static -l pl.UTF-8
Pakiet zawiera statyczne biblioteki gdl.

%package apidocs
Summary:	gdl library API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki gdl
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
gdl library API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki gdl.

%prep
%setup -q

%build
%{__glib_gettextize}
%{__gtkdocize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--with-html-dir=%{_gtkdocdir} \
	--enable-gtk-doc \
	--enable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libgdl-1.la

%find_lang %{name}-1

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}-1.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libgdl-1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgdl-1.so.3
%{_datadir}/gdl

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgdl-1.so
%{_includedir}/libgdl-1.0
%{_pkgconfigdir}/gdl-1.0.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgdl-1.a

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/gdl

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gdl.spec,v $
Revision 1.41.2.5  2011/10/21 11:11:25  hawk
- reverted unnecessary epoch bump
- release 5

Revision 1.41.2.4  2011/06/17 14:41:39  lisu
- rel 4

Revision 1.41.2.3  2011/06/17 14:41:25  lisu
- epoch 1

Revision 1.41.2.2  2011/06/17 08:31:24  lisu
- dropped libtool file
- rel 3

Revision 1.41.2.1  2011/06/10 11:04:31  lisu
- rel 2

Revision 1.41  2011/03/27 05:53:14  qboosh
- en@shaw locale is now supported (via LANGUAGE)

Revision 1.40  2010/09/30 16:58:38  megabajt
- updated to 2.30.1

Revision 1.39  2010/04/01 08:42:10  megabajt
- updated to 2.30.0

Revision 1.38  2010/02/04 19:39:10  megabajt
- %{__gtkdocize}
- release 3

Revision 1.37  2010/02/04 19:32:43  megabajt
- release 2

Revision 1.36  2009/12/04 21:40:14  megabajt
- updated to 2.28.2

Revision 1.35  2009/11/27 01:20:32  sparky
- BR: docbook-dtd412-xml

Revision 1.34  2009/11/12 12:14:27  patrys
- rebuild
- rel 2

Revision 1.33  2009/09/26 21:40:36  megabajt
- updated to 2.28.0 (new soname)

Revision 1.32  2009/05/28 21:19:51  megabajt
- drop ca@valencia locale
- release 2

Revision 1.31  2009/05/27 18:40:11  megabajt
- updated to 2.26.2

Revision 1.30  2009/03/16 20:36:56  megabajt
- updated to 2.26.0; merged changes from DEVEL

Revision 1.29.2.1  2009/03/07 19:05:30  megabajt
- updated to 2.25.92

Revision 1.29  2008/11/09 13:28:50  megabajt
- release 2

Revision 1.28  2008/10/04 20:53:45  megabajt
- updated to 2.24.0

Revision 1.27  2008/05/19 16:24:28  megabajt
- updated to 0.7.11
- added -apidocs subpackage
- more verbose files

Revision 1.26  2007-12-31 23:18:01  zbyniu
- up to 0.7.7

Revision 1.25  2007-11-04 22:53:38  ankry
- sr@Latn -> sr@latin, rel. 2

Revision 1.24  2007/05/06 17:32:12  megabajt
- updated to 0.7.5

Revision 1.23  2007/05/06 10:00:19  megabajt
- updated to 0.7.4

Revision 1.22  2007/03/29 10:07:14  twittner
- up to 0.7.3

Revision 1.21  2007/02/22 17:03:43  megabajt
- updated to 0.7.2

Revision 1.20  2007/02/13 07:16:45  glen
- tabs in preamble

Revision 1.19  2007/02/12 00:48:51  baggins
- converted to UTF-8

Revision 1.18  2007/01/18 18:19:50  megabajt
- updated to 0.7.1
- removed obsolete broken_locale patch

Revision 1.17  2007/01/16 20:35:04  megabajt
- up to 0.7.0

Revision 1.16  2006/07/28 16:32:59  freetz
- rel.2 (neverending libpng12.la story)

Revision 1.15  2006/06/13 18:31:43  freetz
- 0.6.1, added broken_locale.patch, bleeding edge deps

Revision 1.14  2005/06/27 09:00:00  freetz
- 0.6.0

Revision 1.13  2005/06/01 21:02:36  qboosh
- popt-devel is required by libgnome-devel not here

Revision 1.12  2005/06/01 11:06:22  zbyniu
- BR: gettext-devel, intltool, pkgconfig, popt-devel

Revision 1.11  2005/05/15 15:02:53  freetz
- 0.5.0, removed outdated locale patch, updated %%files, remove no locales

Revision 1.10  2004/09/15 18:24:37  grzegol
- in gnome-common-2.8.0 all macros are in %%{_aclocaldir}, not in
  %%{_aclocaldir}/gnome2-macros, so remove -I %%{_aclocal}/gnome2-macros from
  %%{__aclocal} args and BR: gnome-common >= 2.8.0

Revision 1.9  2003/10/31 14:05:29  qboosh
- BR: gnome-common (used in aclocal call)

Revision 1.8  2003/08/26 20:31:19  ankry
- s/[Gg]nome/GNOME/

Revision 1.7  2003/08/13 23:10:34  ankry
- pl description fixes

Revision 1.6  2003/08/12 08:01:13  qboosh
- pl summary, typo

Revision 1.5  2003/08/11 22:51:38  grzegol
- added locale patch (include locale.h)
- added pl description
- removed %%gconf_schema_install from %%post
- added missing dir
- cosmetics
- rel. 2

Revision 1.4  2003/08/11 13:26:05  ankry
- src URL fixed

Revision 1.3  2003/08/11 13:23:59  trojan
s/gnome_schema/gconf_schema/ (zieeew)

Revision 1.2  2003/08/11 13:22:35  trojan
- s/preun/postun/

Revision 1.1  2003/08/11 13:18:47  trojan
- initial release
